# VM support

lmn_client provides scripts to
* create
* modify
* distribute
* run

VMs based on Qemu/KVM in school network.

## Requirements

* For distribution of VMs, you have to run a `seedbox` with aria2 server (torrent server).\
  Repository with ansible-playbook for seedbox install: https://codeberg.org/digitalsouveraeneschule/...
* `seedbox`-hostname must be resolvable via DNS

## Configuration / Variables

  * **vm_support**
    This flag indicates whether to activate VM support.
    Type: *Boolean*
    Values:
    * `false` <-- (default)
    * `true`
  * **vm_torrent_serv**
    Name of the torrent server.
    Type: *String*
    Default: `vm_torrent_serv: "seedbox.{{ domain }}"`
  * **vm_uploadseed_pwd**
    Password for upload-seed. Used for image upload to torrent-server.
    Type: *String*
    Default: `secret = "token:topsecret"`

## Example

Enable VM support on all clients.

inventory.yml
```
all:
  vars:
    vm_support: true
    vm_torrent_serv: "myseedbox.linuxmuster.net" # default: seedbox.{{ domain }}
```
